PROGRAM Calculos
IMPLICIT NONE

!-------------------------------------------------------
! Variables
REAL :: x,q,w,b
LOGICAL :: seguir=.TRUE.

!-------------------------------------------------------
! Sentencias, programa principal
DO WHILE (seguir)
	PRINT*,"Dime un numero:"
	READ*,x

	!Llamamos a la subrutina tricalc
	CALL tricalc(x,q,w,b)
	PRINT*," Su raiz cuadrada es: ",q
	PRINT*," Su cuadrado es: ",w
	PRINT*," Su cubo es: ",b

	!Llamamos a la funcion seguir_o_no
	seguir=seguir_o_no()
ENDDO

!-------------------------------------------------------
! Subrutinas y funciones

 CONTAINS


END PROGRAM Calculos